Package org.zkoss.stateless.ui

## Class UiAgentCtrl

- java.lang.Object
- - org.zkoss.stateless.ui.UiAgentCtrl

-     public class UiAgentCtrl
      extends java.lang.Object

  An addition interface to `UiAgent` that is used for implementation or tools.
  Author:
    jumperchen

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UiAgentCtrl()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `deactivate​(UiAgent uiAgent)` | Deactivate the given UiAgent
    `static <I extends IComponent> java.util.Collection<JavaScriptValue>` | `redraw​(Locator locator, java.util.Collection<I> children)` | An utilities to create an array of JavaScript objects (`JavaScriptValue`) that can be used to mount the specified widget at the clients.
    `static <I extends IComponent> void` | `response​(java.lang.String key, AuResponse response)` | Adds a response which will be sent to client at the end of the execution.
    `static <I extends IComponent> void` | `response​(java.lang.String key, AuResponse response, int priority)` | Adds a response with the given priority.
    `static <I extends IComponent> void` | `response​(AuResponse response)` | Adds a response directly.
    `static <I extends IComponent> void` | `smartUpdate​(Locator locator, java.lang.String attr, boolean value)` | A special smart update to update a value in boolean.
    `static <I extends IComponent> void` | `smartUpdate​(Locator locator, java.lang.String attr, byte value)` | A special smart update to update a value in byte.
    `static <I extends IComponent> void` | `smartUpdate​(Locator locator, java.lang.String attr, char value)` | A special smart update to update a value in char.
    `static <I extends IComponent> void` | `smartUpdate​(Locator locator, java.lang.String attr, double value)` | A special smart update to update a value in double.
    `static <I extends IComponent> void` | `smartUpdate​(Locator locator, java.lang.String attr, float value)` | A special smart update to update a value in float.
    `static <I extends IComponent> void` | `smartUpdate​(Locator locator, java.lang.String attr, int value)` | A special smart update to update a value in int.
    `static <I extends IComponent> void` | `smartUpdate​(Locator locator, java.lang.String attr, long value)` | A special smart update to update a value in long.
    `static <I extends IComponent> void` | `smartUpdate​(Locator locator, java.lang.String attr, java.lang.Object value)` | A special smart update to update a value in Object.
    `static <I extends IComponent> void` | `smartUpdate​(Locator locator, java.lang.String attr, java.lang.Object value, boolean append)` | A special smart update to update a value in Object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UiAgentCtrl

          public UiAgentCtrl()

  - ### Method Detail

    - #### deactivate

          public static void deactivate​(UiAgent uiAgent)

      Deactivate the given UiAgent
      Parameters:
        `uiAgent` -

    - #### redraw

          public static <I extends IComponent> java.util.Collection<JavaScriptValue> redraw​(Locator locator,
                                                                                            java.util.Collection<I> children)

      An utilities to create an array of JavaScript objects (`JavaScriptValue`) that can be used to mount the specified widget at the clients.

    - #### smartUpdate

          public static <I extends IComponent> void smartUpdate​(Locator locator,
                                                                java.lang.String attr,
                                                                java.lang.Object value)

      A special smart update to update a value in Object.

    - #### smartUpdate

          public static <I extends IComponent> void smartUpdate​(Locator locator,
                                                                java.lang.String attr,
                                                                java.lang.Object value,
                                                                boolean append)

      A special smart update to update a value in Object.

    - #### smartUpdate

          public static <I extends IComponent> void smartUpdate​(Locator locator,
                                                                java.lang.String attr,
                                                                int value)

      A special smart update to update a value in int.

      It is the same as `smartUpdate(Locator, String, Object)`.

    - #### smartUpdate

          public static <I extends IComponent> void smartUpdate​(Locator locator,
                                                                java.lang.String attr,
                                                                long value)

      A special smart update to update a value in long.

      It is the same as `smartUpdate(Locator, String, Object)`.

    - #### smartUpdate

          public static <I extends IComponent> void smartUpdate​(Locator locator,
                                                                java.lang.String attr,
                                                                byte value)

      A special smart update to update a value in byte.

      It is the same as `smartUpdate(Locator, String, Object)`.

    - #### smartUpdate

          public static <I extends IComponent> void smartUpdate​(Locator locator,
                                                                java.lang.String attr,
                                                                char value)

      A special smart update to update a value in char.

      It is the same as `smartUpdate(Locator, String, Object)`.

    - #### smartUpdate

          public static <I extends IComponent> void smartUpdate​(Locator locator,
                                                                java.lang.String attr,
                                                                boolean value)

      A special smart update to update a value in boolean.

      It is the same as `smartUpdate(Locator, String, Object)`.

    - #### smartUpdate

          public static <I extends IComponent> void smartUpdate​(Locator locator,
                                                                java.lang.String attr,
                                                                float value)

      A special smart update to update a value in float.

      It is the same as `smartUpdate(Locator, String, Object)`.

    - #### smartUpdate

          public static <I extends IComponent> void smartUpdate​(Locator locator,
                                                                java.lang.String attr,
                                                                double value)

      A special smart update to update a value in double.

      It is the same as `smartUpdate(Locator, String, Object)`.

    - #### response

          public static <I extends IComponent> void response​(java.lang.String key,
                                                             AuResponse response,
                                                             int priority)

      Adds a response with the given priority. The higher priority, the earlier the update is executed.
      Parameters:
        `key` - could be anything. If null, the response is appended. If not null, the second invocation of this method in the same execution with the same key will override the previous one.

    - #### response

          public static <I extends IComponent> void response​(java.lang.String key,
                                                             AuResponse response)

      Adds a response which will be sent to client at the end of the execution.
      Parameters:
        `key` - could be anything. If null, the response is appended. If not null, the second invocation of this method in the same execution with the same key will override the previous one.

    - #### response

          public static <I extends IComponent> void response​(AuResponse response)

      Adds a response directly. In other words, it is the same as `addResponse(resposne.getOverrideKey(), response)`